from flask import Flask, request, redirect

app = Flask(__name__)
eintraege = []   # speichert die Nachrichten (im Arbeitsspeicher)

@app.route("/pinnwand", methods=["GET", "POST"])
def pinnwand():
    if request.method == "POST":
        eintraege.append(request.form["nachricht"])
        return redirect("/app/pinnwand")
    liste = ""
    for e in eintraege:
        liste = liste + "<li>" + e + "</li>"
    return '<h1>Pinnwand</h1>' \
           '<form method="post"><input name="nachricht">' \
           '<button>Senden</button></form><ul>' + liste + '</ul>'

if __name__ == "__main__":
    app.run(host="0.0.0.0", port=9008)